Systems registering without a specified organization should land in the user's Default org

06/05/2014 06:49 PM - Eric Helms

Status: Closed   

Priority: Normal   

Assignee: Eric Helms   

Category: Client/Agent   

Target version: Katello 2.0   

Difficulty:  Fixed in Releases:  

Triaged: Yes Found in Releases:  

Bugzilla link: 1095925 Red Hat JIRA:  

Pull request:    

Description

Cloned from https://bugzilla.redhat.com/show_bug.cgi?id=1095925

Now that we have the ability to specify a default Organization and Location within a user's account we should send any systems

being registered without an --organization parameter to land in these specified organizations.

This allows for parameter-less registrations to work:

1. subscription-manager register

Associated revisions

Revision 71400565 - 06/06/2014 06:52 PM - Eric Helms

Fixes #6080, #6081, #6082: Fixing registration including adding back default organization.

Addresses the following BZs: BZ1103020, BZ1095925, BZ1096068

Addresses a number of issues that have crept up recently with registration

and attempts to support the following:

1. User specifies an organization.    * User must belong to the organization    * The consumer will register to the Library of that organization.

2. User does not specify an organization.    * User must have a default organization set.    * The consumer will register to the Library of the users

default

organization.

3. User specifies an organization and an environment.     * The user must belong to the organization     * The user must have view on the environment

* The user must have create on content hosts in that organization

Revision cdaede5e - 06/09/2014 10:41 PM - Eric Helms

Merge pull request #4223 from ehelms/fixes-6080

Fixes #6080, #6081, #6082: Fixing registration including adding back def...

History

#1 - 06/05/2014 06:50 PM - Eric Helms

- Category set to Client/Agent

- Target version set to 45

- Triaged set to Yes

#2 - 06/09/2014 10:52 PM - Eric Helms

- Status changed from New to Closed

- % Done changed from 0 to 100

Applied in changeset katello|commit:714005658410dbc66c78c12901f20a2510c9200b.
#3 - 08/22/2014 08:32 AM - Eric Helms

- translation missing: en.field_release set to 13
